# H245_H223LogicalChannelParameters_adaptationLayerType Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_nonStandard, e_al1Framed, e_al1NotFramed, e_al2WithoutSequenceNumbers, e_al2WithSequenceNumbers, e_al3, e_al1M, e_al2M, e_al3M }

## Public Member Functions

| H245_H223LogicalChannelParameters_adaptationLayerType (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_NonStandardParameter & ()
| operator const H245_NonStandardParameter & () const
| operator H245_H223LogicalChannelParameters_adaptationLayerType_al3 & ()
| operator const H245_H223LogicalChannelParameters_adaptationLayerType_al3 & () const
| operator H245_H223AL1MParameters & ()
| operator const H245_H223AL1MParameters & () const
| operator H245_H223AL2MParameters & ()
| operator const H245_H223AL2MParameters & () const
| operator H245_H223AL3MParameters & ()
| operator const H245_H223AL3MParameters & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_H223LogicalChannelParameters_adaptationLayerType::Choices

Enumerator:

  e_nonStandard |
  e_al1Framed |
  e_al1NotFramed |
  e_al2WithoutSequenceNumbers |
  e_al2WithSequenceNumbers |
  e_al3 |
  e_al1M |
  e_al2M |
  e_al3M |

## Constructor & Destructor Documentation

H245_H223LogicalChannelParameters_adaptationLayerType::H245_H223LogicalChannelParameters_adaptationLayerType | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_H223LogicalChannelParameters_adaptationLayerType::operator H245_NonStandardParameter & | ( |  | ) |

H245_H223LogicalChannelParameters_adaptationLayerType::operator const H245_NonStandardParameter & | ( |  | ) | const

H245_H223LogicalChannelParameters_adaptationLayerType::operator H245_H223LogicalChannelParameters_adaptationLayerType_al3 & | ( |  | ) |

H245_H223LogicalChannelParameters_adaptationLayerType::operator const H245_H223LogicalChannelParameters_adaptationLayerType_al3 & | ( |  | ) | const

H245_H223LogicalChannelParameters_adaptationLayerType::operator H245_H223AL1MParameters & | ( |  | ) |

H245_H223LogicalChannelParameters_adaptationLayerType::operator const H245_H223AL1MParameters & | ( |  | ) | const

H245_H223LogicalChannelParameters_adaptationLayerType::operator H245_H223AL2MParameters & | ( |  | ) |

H245_H223LogicalChannelParameters_adaptationLayerType::operator const H245_H223AL2MParameters & | ( |  | ) | const

H245_H223LogicalChannelParameters_adaptationLayerType::operator H245_H223AL3MParameters & | ( |  | ) |

H245_H223LogicalChannelParameters_adaptationLayerType::operator const H245_H223AL3MParameters & | ( |  | ) | const

PBoolean H245_H223LogicalChannelParameters_adaptationLayerType::CreateObject | ( |  | ) |

PObject* H245_H223LogicalChannelParameters_adaptationLayerType::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h